import subprocess
import sys, os

from django.core.management.base import NoArgsCommand
from django.db import connection, transaction
from django.conf import settings
import psycopg2 as db

from uploads.common import udd

class Command(NoArgsCommand):
    help = "Update uploads data from UDD."

    def handle_noargs(self, **options):
        new_script = udd.get_new_udd_data()
        if not new_script:
            sys.exit(1)
        dbinfo = settings.DATABASES['udd']
        conn = db.connect(host=dbinfo['HOST'], dbname='postgres',
                          user=dbinfo['USER'], password=dbinfo['PASSWORD'],
                          port=dbinfo['PORT'] or 5432)
        cursor = conn.cursor()
        conn.set_isolation_level(0)
        cursor.execute("DROP DATABASE IF EXISTS " + dbinfo['NAME'])
        cursor.execute("CREATE DATABASE " + dbinfo['NAME'] + 
                       " WITH TEMPLATE=template0 ENCODING 'SQL_ASCII'")
#        conn = db.connect(host=dbinfo['HOST'], dbname='udd',
#                  user=dbinfo['USER'], password=dbinfo['PASSWORD'],
#                  port=dbinfo['PORT'] or 5432)
#        with conn.autocommit = True:
#            cursor.execute(new_script)
        dump = subprocess.Popen(["cat", new_script], stdout=subprocess.PIPE)
        psql_env = os.environ.copy()
        psql_env['PGPASSWORD'] = dbinfo['PASSWORD']
        psql_cmd = ['psql', "-U", dbinfo['USER'], '-d', dbinfo['NAME']]
        subprocess.call(psql_cmd, env=psql_env, stdin=dump.stdout,
                                                stdout=subprocess.PIPE,
                                                stderr=subprocess.PIPE)

