from django.db import models

class UDD(models.Model):
    connection_name='udd'
    source = models.TextField()
    version = models.TextField()
    date = models.DateTimeField(blank=True, primary_key=True)
    changed_by = models.TextField(blank=True)
    changed_by_name = models.TextField(blank=True)
    changed_by_email = models.TextField(blank=True)
    maintainer = models.TextField(blank=True)
    maintainer_name = models.TextField(blank=True)
    maintainer_email = models.TextField(blank=True)
    nmu = models.NullBooleanField(null=True, blank=True)
    signed_by = models.TextField(blank=True)
    signed_by_name = models.TextField(blank=True)
    signed_by_email = models.TextField(blank=True)
    key_id = models.TextField(blank=True)
    distribution = models.TextField(blank=True)
    component = models.TextField(blank=True)
    file = models.TextField(blank=True)
    fingerprint = models.TextField(blank=True)
    original_maintainer = models.TextField(blank=True)
    original_maintainer_name = models.TextField(blank=True)
    original_maintainer_email = models.TextField(blank=True)

    class Meta:
        db_table = u'ubuntu_upload_history'
        unique_together = ('source', 'version')
        managed = False

class People(models.Model):
    connection_name='default'
    name = models.TextField(blank=True)
    email = models.TextField(blank=True)
    lpid = models.TextField(blank=True, unique=True)
    first_upload = models.ForeignKey('Uploads', related_name='+')
    is_active = models.BooleanField(default=False)
    total_uploads = models.IntegerField(blank=True, default=0)
    last_upload = models.ForeignKey('Uploads', related_name='+')
    ubuntu_dev = models.BooleanField(default=False)
    notes = models.TextField(blank=True)
    contacted  = models.BooleanField(default=False)

    class Meta:
        db_table = u'people'

class Uploads(models.Model):
    connection_name='default'
    timestamp = models.DateTimeField(null=True, blank=True)
    release = models.TextField(blank=True)
    package = models.TextField(blank=True)
    version = models.TextField(blank=True)
    name_changer = models.TextField(blank=True)
    email_changer = models.TextField(blank=True)
    name_sponsor = models.TextField(blank=True)
    email_sponsor = models.TextField(blank=True)
    lpid_changer = models.TextField(blank=True)
    lpid_sponsor = models.TextField(blank=True)

    class Meta:
        db_table = u'uploads'
        unique_together = ('package', 'version')
