from django.conf import settings
from django.conf.urls import patterns, include, url
from django.views.generic.simple import direct_to_template
from uploads import views

# Uncomment the next two lines to enable the admin:
# from django.contrib import admin
# admin.autodiscover()

urlpatterns = patterns('',
    # Examples:
    # url(r'^$', 'contributors.views.home', name='home'),
    # url(r'^contributors/', include('devtracking.foo.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    # url(r'^admin/', include(admin.site.urls)),
    url(r'^$', direct_to_template, {"template": "index.html"}, name='home'),
    url(r'^contributors/first_timers', views.first_timers, name='first_timers'),
    url(r'^contributors/recent_contributors', views.recent_contributors,
                                              name='recent_contributors'),
    url(r'^contributors/lost_contributors', views.lost_contributors,
                                              name='lost_contributors'),
    url(r'^contributors/potential_devs', views.potential_devs,
                                              name='potential_devs'),
    url(r'^contributors/(?P<lpid>.+)', views.person_detail, name='person_detail')
)

if settings.STATIC_SERVE:
    urlpatterns += patterns('',
        url(r'^media/(?P<path>.*)$', 'django.views.static.serve',
                                    {'document_root': settings.MEDIA_ROOT}),
)
